Bug 115427 - Massive workload combined with ESS flashcopy leading to I/O hang
Summary: Massive workload combined with ESS flashcopy leading to I/O hang
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: s390 Linux
high
high
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-12 12:42 UTC by Ingolf Salm
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 04:31:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
path for device qualification problem (3.06 KB, patch)
2004-02-17 18:03 UTC, Ingolf Salm
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:433 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 3 Update 3 2004-09-02 04:00:00 UTC

Description Ingolf Salm 2004-02-12 12:42:52 UTC
Description of problem:
Symptom:     FlashCopy IO hang
Problem:     State change interrupt handler checks only first request 
in cqr-queue, but in case the fastpath for start_IO was successful, 
it might happen that the second request is long busy.
Solution:    Check the whole cqr-queue for long busy.
LTC bugzilla: 4676

Comment 1 Ingolf Salm 2004-02-12 12:48:14 UTC
fix is necessary for SCSI device qualification. In last status 
meeting Bob Johnson and Hans-Georg Markgraf (IBM) agreed that it need 
to be fixed in RHEL 3 Update 2.
True, Bob ?

Comment 2 Pete Zaitcev 2004-02-14 00:30:34 UTC
Ingolf, please attach the patch.


Comment 3 Ingolf Salm 2004-02-16 17:30:21 UTC
Pete, I will look for the patch.

Comment 4 Georg Markgraf 2004-02-17 10:26:55 UTC
This is required for DevQual with ESCON, FICON

Comment 5 Bob Johnson 2004-02-17 14:46:04 UTC
Why is IBM removing our internal QA contact ?
Adding Brock back in.

Comment 6 Ingolf Salm 2004-02-17 18:03:56 UTC
Created attachment 97761 [details]
path for device qualification problem

Comment 7 Ernie Petrides 2004-05-13 03:47:12 UTC
The fix for this problem has just been committed to the RHEL3 U3
patch pool this evening (in kernel version 2.4.21-15.4.EL).


Comment 9 John Flanagan 2004-09-02 04:31:05 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-433.html



Note You need to log in before you can comment on or make changes to this bug.